Bug 1668878 - The incron update to 0.5.12 causes excessive resource usage and also misses events - Should be removed from EPEL
Summary: The incron update to 0.5.12 causes excessive resource usage and also misses e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: incron
Version: epel7
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-23 19:21 UTC by Trevor Vaughan
Modified: 2019-04-06 20:17 UTC (History)
3 users (show)

Fixed In Version: incron-0.5.12-11.fc30 incron-0.5.12-11.fc29 incron-0.5.12-11.fc28 incron-0.5.12-11.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:18:46 UTC


Attachments (Terms of Use)

Description Trevor Vaughan 2019-01-23 19:21:42 UTC
Description of problem:

When incron updated from 0.5.10 to 0.5.12, it introduced recursion by default as well as introducing what appear to be bugs relating to missing events when disabling recursion.

The recursion has an immediate side effect of causing infinite loops (regardless of any other setting) to the point where the system becomes unresponsive.

Reverting to 0.5.10 alleviates the issue immediately.

How reproducible:

Upgrade from 0.5.10 to 0.5.12 with any level of complex incrontabs and trigger events.

Actual results:

System becomes unresponsive and OOMKiller kicks in. When recursion is disabled, events appear to be lost.

Tested with rapidly creating directories.

Expected results:

Events are handled as they arrive and none are lost. System does not become unresponsive with incrontabs that have worked traditionally.

Comment 1 Trevor Vaughan 2019-01-23 21:02:34 UTC
Just found https://bugzilla.redhat.com/show_bug.cgi?id=1656939 which indicates that a patched version of incron may fix the issue.

Any note as to when this may land in EPEL?

Comment 2 Kevin Fenzi 2019-01-29 21:30:57 UTC
Did the testing version solve your issue?

I am going to push it out now and then try and see if we can figure out any additional issues... please let me know if this update doesnt fix your issue.

Comment 3 Trevor Vaughan 2019-01-29 21:33:42 UTC
Kevin,

Thanks for the push. Honestly, I was too busy fighting fires based on broken incron's that I just reverted to the working version.

I'll check the update as soon as I can.

Comment 4 Fedora Update System 2019-03-20 22:21:35 UTC
incron-0.5.12-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1502b7bc8f

Comment 5 Fedora Update System 2019-03-20 22:21:40 UTC
incron-0.5.12-11.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae0dbc9c03

Comment 6 Fedora Update System 2019-03-20 22:21:51 UTC
incron-0.5.12-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4228013e5a

Comment 7 Fedora Update System 2019-03-20 22:22:00 UTC
incron-0.5.12-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-594e664ae4

Comment 8 Fedora Update System 2019-03-21 19:12:22 UTC
incron-0.5.12-11.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae0dbc9c03

Comment 9 Fedora Update System 2019-03-21 21:19:00 UTC
incron-0.5.12-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-594e664ae4

Comment 10 Fedora Update System 2019-03-21 21:48:55 UTC
incron-0.5.12-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4228013e5a

Comment 11 Fedora Update System 2019-03-21 21:52:41 UTC
incron-0.5.12-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1502b7bc8f

Comment 12 Fedora Update System 2019-03-29 19:18:46 UTC
incron-0.5.12-11.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-29 21:03:37 UTC
incron-0.5.12-11.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-03-29 22:11:07 UTC
incron-0.5.12-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-06 20:17:06 UTC
incron-0.5.12-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.